Skip to Main Content

Application Development Software

Announcement

For appeals, questions and feedback, please email oracle-forums_moderators_us@oracle.com

unable to install cx_oracle on window 10

kamlesh yadavJul 21 2023 — edited Aug 1 2023

C:\Users\LENOVO>pip install cx_oracle
Defaulting to user installation because normal site-packages is not writeable
Collecting cx_oracle
Downloading cx_Oracle-8.3.0.tar.gz (363 kB)
---------------------------------------- 363.9/363.9 kB 5.6 MB/s eta 0:00:00
Installing build dependencies ... done
Getting requirements to build wheel ... done
Preparing metadata (pyproject.toml) ... done
Building wheels for collected packages: cx_oracle
Building wheel for cx_oracle (pyproject.toml) ... error
error: subprocess-exited-with-error

× Building wheel for cx_oracle (pyproject.toml) did not run successfully.
│ exit code: 1
╰─> [8 lines of output]
<string>:6: DeprecationWarning: pkg_resources is deprecated as an API. See https://setuptools.pypa.io/en/latest/pkg_resources.html
C:\Users\LENOVO\AppData\Local\Temp\pip-build-env-rigi38lk\overlay\Lib\site-packages\setuptools\config\expand.py:132: SetuptoolsWarning: File 'C:\\Users\\LENOVO\\AppData\\Local\\Temp\\pip-install-8gsn0zxh\\cx-oracle_cabdeb59e278436ea4af4aa3f1549339\\README.md' cannot be found
return '\n'.join(
running bdist_wheel
running build
running build_ext
building 'cx_Oracle' extension
error: Microsoft Visual C++ 14.0 or greater is required. Get it with "Microsoft C++ Build Tools": https://visualstudio.microsoft.com/visual-cpp-build-tools/
[end of output]

note: This error originates from a subprocess, and is likely not a problem with pip.
ERROR: Failed building wheel for cx_oracle
Failed to build cx_oracle
ERROR: Could not build wheels for cx_oracle, which is required to install pyproject.toml-based projects

Comments
Post Details
Added on Jul 21 2023
1 comment
2,616 views